Issue 119977 - update version number to 4.0
update version number to 4.0
Status: RESOLVED FIXED
Product: Installation
Classification: Application
Component: code
3.4.0
PC All
: P3 normal (vote)
: 4.0.0
Assigned To: Oliver-Rainer Wittmann
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-13 11:29 UTC by jsc
Modified: 2013-02-06 09:40 UTC (History)
3 users (show)

See Also:
Issue Type: TASK
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
Patch updating version number to 4.0.0 (29.87 KB, patch)
2013-02-05 09:19 UTC, Ariel Constenla-Haile
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description jsc 2012-06-13 11:29:08 UTC
update the version number to 3.5
Comment 1 Oliver-Rainer Wittmann 2012-12-21 09:06:11 UTC
jsc had already made the corresponding changes - see 0.

During my work on issue 121388 I recognized that some further changes are need for an update of the "version number".
Thus, I am taking over to complete this task.
Comment 2 Oliver-Rainer Wittmann 2012-12-21 09:07:59 UTC
CC our issue mailing list
Comment 3 Oliver-Rainer Wittmann 2012-12-21 11:42:20 UTC
As we had PRODUCTVERSION 3.4.1 for our AOO 3.4.1 release we need to have PRODUCTVERSION 3.5.0 for AOO 3.5

LIBRARYVERSION also needs to be updated.

Some hard-coded package name also need to be updated.
Comment 4 SVN Robot 2012-12-21 11:53:27 UTC
"orw" committed SVN 0 into trunk:
#119977# - complete the update to version number 3.5
Comment 5 Oliver-Rainer Wittmann 2012-12-21 14:39:54 UTC
subject of this issue changed - reopen
Comment 6 Ariel Constenla-Haile 2013-02-05 09:19:02 UTC
Created attachment 80212 [details]
Patch updating version number to 4.0.0

TODO: update LIBRARYVERSION in main/instsetoo_native/util/openoffice.lst (I didn't understand what to update - major, minor, both)
Comment 7 Oliver-Rainer Wittmann 2013-02-05 09:39:17 UTC
@Ariel:
Thanks for just taking over the task to create the patch. My efforts on this stalled due to my sickness and my work to recover from my hard disk crash.

As far as I figured out during my investigations regarding the renaming - bug 121388 - the LIBRARYVERSION is used together with "buildid" and "vendornumber" to form the version of the installation files - see openoffice.lst.README.
I am not completely sure about this. LIBRARYVERSION is used in solenv/bin/modules/installer/windows/file.pm - it looks like that this is information for the Windows installer.

My proposal is to change LIBRARYVERSION to "10.0.0"


For BUILD (in solenv/inc/minor.mk) I propose a "bigger jump" - may be changing it to 9700 or 9650
Comment 8 Ariel Constenla-Haile 2013-02-05 19:11:37 UTC
(In reply to comment #6)
> Created attachment 80212 [details]
> Patch updating version number to 4.0.0
> 
> TODO: update LIBRARYVERSION in main/instsetoo_native/util/openoffice.lst (I
> didn't understand what to update - major, minor, both)

I also missed to update some stuff (git grep is sometimes more useful than opengrok):

* PRODUCT_RELEASE in main/odk/util/makefile.pmk

* version in ratscan

* @since tag in some IDL file in offapi
Comment 9 SVN Robot 2013-02-05 20:58:23 UTC
"arielch" committed SVN 0 into trunk:
i119977 - Update version number to 4.0.0
Comment 10 Ariel Constenla-Haile 2013-02-05 21:00:27 UTC
(In reply to comment #7)
> 
> My proposal is to change LIBRARYVERSION to "10.0.0"
> 
> For BUILD (in solenv/inc/minor.mk) I propose a "bigger jump" - may be
> changing it to 9700 or 9650

Committed  0 with these two suggestion, plus other items mentioned in comment 8
Comment 11 Oliver-Rainer Wittmann 2013-02-06 09:40:17 UTC
Thanks Ariel for taking care of this issue.
Thus, I think we can mark it as FIXED